> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Извлечение вокала

> Используйте Suno вокал извлечение API, чтобы извлекать вокальные сегменты и получать vox_audio_id для повторного использования стиля исполнителя и сценариев на основе персон.

<Callout type="info"> Используйте этот API, чтобы получить параметр `vox_audio_id`. Он поддерживает несколько входных параметров, таких как `audio_id`, `vocal_start` и `vocal_end`, на основе ID референсной песни и выбранного временного диапазона. </Callout>


## OpenAPI

````yaml openapi/ru/suno.json POST /suno/v1/vox
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Suno AI Музыка API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/vox:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    music_id:
                      type: string
                      description: Идентификатор песни
                    vocal_start_s:
                      type: number
                      description: >-
                        Обязательный параметр при передаче vox_audio_id;
                        значение должно совпадать с параметром интерфейса
                        извлечения VOX.
                    vocal_end_s:
                      type: number
                      description: >-
                        Обязательный параметр при передаче vox_audio_id;
                        значение должно совпадать с параметром интерфейса
                        извлечения VOX.
                  required:
                    - music_id
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: SUCCESS
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: vox_audio_id
                      status:
                        type: string
                        description: Идентификатор стиля
                      source_clip_id:
                        type: string
                        description: Идентификатор исходной композиции
                      vocal_start_s:
                        type: number
                        description: Время начала вокала в секундах
                      vocal_end_s:
                        type: number
                        description: Время окончания вокала в секундах
                      wave_response:
                        type: object
                required:
                  - status
                  - message
                  - data
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````